This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 212817 - cyrus-sasl-plain and md5 needed for gaim jabber
cyrus-sasl-plain and md5 needed for gaim jabber
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gaim (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Warren Togami
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-29 06:03 EST by Christian Nolte
Modified: 2007-11-30 17:11 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-27 13:21:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Christian Nolte 2006-10-29 06:03:24 EST
Description of problem:

The gaim package should have a dependency on cyrus-sasl and cyrus-sasl-xxx.
Becaus gaim now uses sasl to securely authenticate to different servers. There
are servers (e.g. amessage.de, jabber) which only provide secure authentication
and no unencrypted auth. gaim then always gives an error message which does not
lead to conclusion that some of these packages would be needed. To ease the pain
for the user these dependencies should be added.

Version-Release number of selected component (if applicable):
gaim-2.0.0-0.17.beta[3,4].fc6
Comment 1 Warren Togami 2006-10-29 08:37:55 EST
cyrus-sasl-devel as been a BuildRequires for a long time now.  Upstream, any
idea why there is no ldd library dependency on anything from cyrus-sasl?
Comment 2 Stu Tomlinson 2006-10-29 10:28:23 EST
/usr/lib/gaim/libjabber.so is linked against libsasl2.so.2 and this is correctly
picked up as a requirement for the RPM.

I think this bug report is requesting that the cyrus-sasl-md5 (and maybe others)
mechanism should be included by default, even though it is not a strict dependency.
Comment 4 Michal Babej 2006-11-20 11:03:11 EST
i have tried gaim-2.0.0-0.17.beta4.fc6 and then gaim-2.0.0-0.19.beta4.fc6, both
of them cannot connect to pretty much any Jabber servers without the mentioned
libraries. after installing cyrus-sasl-md5 and cyrus-sasl-plain i connected just
fine. i think at least one of those should be a dependency, if Jabber should
work on Gaim.

Note You need to log in before you can comment on or make changes to this bug.